Bug 1332723 - ovirt-rhevm-agent floods engine.log with Invalid or unknown guest arch type 'i686' when running rhel-5 kernel-pae guests
Summary: ovirt-rhevm-agent floods engine.log with Invalid or unknown guest arch type '...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-guest-agent
Version: 3.6.4
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: ovirt-4.0.0-beta
: 4.0.0
Assignee: Vinzenz Feenstra [evilissimo]
QA Contact: Petr Matyáš
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-03 22:43 UTC by Javier Coscia
Modified: 2019-11-14 07:58 UTC (History)
11 users (show)

Fixed In Version: ovirt-guest-agent-1.0.12-3.el5
Doc Type: Bug Fix
Doc Text:
Cause: The Guest agent wasn't translating x86 architecture strings like i386, i486, i586, i686 to the string 'x86' which is the only type the engine understands. Consequence: Every time the engine retrieved an update from the Hypervisors which had hosts like this, the exceptions were thrown Fix: The architectures are now correctly translated Result: No more flooding of the engine.log
Clone Of:
Environment:
Last Closed: 2016-07-12 05:47:33 UTC
oVirt Team: Virt
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2296531 0 None None None 2016-05-03 22:57:37 UTC
oVirt gerrit 56995 0 master MERGED Map architectures i[356]86 to x86 2020-09-17 15:39:48 UTC

Description Javier Coscia 2016-05-03 22:43:23 UTC
Description of problem:

When installing/enabling ovirt-rhevm-agent service on a RHEL-5.x with kernel-PAE, engine.log gets flooded with:

~~~
WARN  [org.ovirt.engine.core.vdsbroker.vdsbroker.VdsBrokerObjectsBuilder] (DefaultQuartzScheduler_Worker-55) [269a6eee] Invalid or unknown guest architecture type 'i686' received from guest agent
~~~

Version-Release number of selected component (if applicable):

rhevm-3.6.4.1-0.1.el6.noarch
rhevm-guest-agent-1.0.11-5.el5

How reproducible:

Steps to Reproduce:
1. Create a RHEL 5 32bits VM and install a kernel-PAE on it, reboot it
2. Install and start/enable rhevm-guest-agent service on the VM

Actual results:

engine.log gets flooded with 'Invalid' messages every ~10/20sec

Expected results:

rhevm-guest-agent should support i686 arch type and stop reporting warnings in engine.log

Additional info:

[root@rhel-5-pae]# pwd
/usr/share/ovirt-guest-agent

[root@rhel-5-pae]# ./ovirt-osinfo
distribution=Red Hat Enterprise Linux Server
version=5.11
codename=Tikanga
arch=i686
kernel=2.6.18-409.el5
type=linux

Comment 1 Yaniv Lavi 2016-05-09 11:05:14 UTC
oVirt 4.0 Alpha has been released, moving to oVirt 4.0 Beta target.

Comment 4 Fedora Update System 2016-05-19 14:32:50 UTC
ovirt-guest-agent-1.0.12-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-499f565210

Comment 5 Fedora Update System 2016-05-19 14:33:11 UTC
ovirt-guest-agent-1.0.12-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f9b70109a9

Comment 6 Fedora Update System 2016-05-19 14:33:32 UTC
ovirt-guest-agent-1.0.12-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0f1b2c6aca

Comment 7 Fedora Update System 2016-05-19 14:33:53 UTC
ovirt-guest-agent-1.0.12-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-52ef7b1260

Comment 8 Fedora Update System 2016-05-19 14:34:15 UTC
ovirt-guest-agent-1.0.12-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-73f421c9e9

Comment 9 Fedora Update System 2016-05-21 01:32:10 UTC
ovirt-guest-agent-1.0.12-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-52ef7b1260

Comment 10 Fedora Update System 2016-05-21 02:26:53 UTC
ovirt-guest-agent-1.0.12-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f9b70109a9

Comment 11 Fedora Update System 2016-05-21 05:47:51 UTC
ovirt-guest-agent-1.0.12-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0f1b2c6aca

Comment 12 Fedora Update System 2016-05-21 05:49:23 UTC
ovirt-guest-agent-1.0.12-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-499f565210

Comment 13 Fedora Update System 2016-05-21 06:22:11 UTC
ovirt-guest-agent-1.0.12-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-73f421c9e9

Comment 14 Fedora Update System 2016-05-23 07:15:03 UTC
ovirt-guest-agent-1.0.12-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4e53ce39a6

Comment 15 Fedora Update System 2016-05-23 07:15:29 UTC
ovirt-guest-agent-1.0.12-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b707abcf0f

Comment 16 Fedora Update System 2016-05-23 07:15:53 UTC
ovirt-guest-agent-1.0.12-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-753af77897

Comment 17 Fedora Update System 2016-05-24 02:52:12 UTC
ovirt-guest-agent-1.0.12-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4e53ce39a6

Comment 18 Fedora Update System 2016-05-24 02:56:31 UTC
ovirt-guest-agent-1.0.12-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-753af77897

Comment 19 Fedora Update System 2016-05-24 06:19:30 UTC
ovirt-guest-agent-1.0.12-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b707abcf0f

Comment 20 Fedora Update System 2016-06-21 08:05:06 UTC
ovirt-guest-agent-1.0.12-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ddb2d7b43b

Comment 21 Fedora Update System 2016-06-21 08:05:31 UTC
ovirt-guest-agent-1.0.12-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-40b51529ad

Comment 22 Fedora Update System 2016-06-21 08:05:55 UTC
ovirt-guest-agent-1.0.12-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9524b795a2

Comment 23 Fedora Update System 2016-06-21 08:06:16 UTC
ovirt-guest-agent-1.0.12-2.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c952eb96e6

Comment 24 Fedora Update System 2016-06-21 08:06:38 UTC
ovirt-guest-agent-1.0.12-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8861978763

Comment 25 Fedora Update System 2016-06-21 08:22:05 UTC
ovirt-guest-agent-1.0.12-3.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c4aff834f8

Comment 26 Fedora Update System 2016-06-22 01:48:11 UTC
ovirt-guest-agent-1.0.12-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8861978763

Comment 27 Fedora Update System 2016-06-22 02:18:57 UTC
ovirt-guest-agent-1.0.12-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ddb2d7b43b

Comment 28 Fedora Update System 2016-06-22 02:26:28 UTC
ovirt-guest-agent-1.0.12-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-40b51529ad

Comment 29 Fedora Update System 2016-06-22 02:54:14 UTC
ovirt-guest-agent-1.0.12-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9524b795a2

Comment 30 Fedora Update System 2016-06-22 03:17:44 UTC
ovirt-guest-agent-1.0.12-3.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c4aff834f8

Comment 31 Jiri Belka 2016-06-27 10:52:13 UTC
ok

[root@10-34-60-197 ~]# /usr/share/ovirt-guest-agent/ovirt-osinfo 
distribution=Red Hat Enterprise Linux Server
version=5.11
codename=Tikanga
arch=x86
kernel=2.6.18-398.el5PAE
type=linux
[root@10-34-60-197 ~]# rpm -q rhevm-guest-agent
rhevm-guest-agent-1.0.12-3.el5ev

Comment 33 Fedora Update System 2016-07-11 23:17:47 UTC
ovirt-guest-agent-1.0.12-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2016-07-11 23:20:06 UTC
ovirt-guest-agent-1.0.12-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2016-07-12 02:25:56 UTC
ovirt-guest-agent-1.0.12-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2016-07-12 05:47:17 UTC
ovirt-guest-agent-1.0.12-3.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 40 Fedora Update System 2016-07-12 15:08:06 UTC
ovirt-guest-agent-1.0.12-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.